Page MenuHomePhabricator

[Spike] Investigate page cache not being purged when SD edits are made
Closed, DuplicatePublic

Description

The following 3 tickets are to do with page caches not being purged when an SD edit is made to a File

T173339
T237991
T245349

This ticket is a spike to investigate the underlying issue, and figure out how to implement a fix (and who might be responsible). The actual implementation should be another ticket

Event Timeline

Cparle created this task.Apr 30 2020, 9:57 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2020, 9:57 AM
Jarekt added a comment.May 5 2020, 1:50 PM

Tickets T237991 and T245349 are basically the same: edits to SDC should trigger purge of associated file. Ticket T173339 might be more tricky,as it would require edits to wikidata item to trigger purge of pages linked to that item on other projects. The link would be through a sitelink or pages that load that item's entity.

CBogen assigned this task to Cparle.May 26 2020, 3:37 PM
Cparle reassigned this task from Cparle to matthiasmullie.Jun 2 2020, 3:26 PM

Change 602053 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/core@master] Remove unwanted parse step

https://gerrit.wikimedia.org/r/602053

There is something odd happening now, with this issue: c:Template:PermissionOTRS adds either c:Category:Files_with_PermissionOTRS_template_but_without_P6305_SDC_statement or c:Category:P6305 SDC to files without or with P6305 statement. I recently added few hundred thousands of those statements and each edit trigered update which placed the file in c:Category:Files_with_PermissionOTRS_template_but_without_P6305_SDC_statement instead of c:Category:P6305 SDC category. It seems like adding SDC statement purges the page first and then adds the statement instead of the other way around.

Change 602053 merged by jenkins-bot:
[mediawiki/core@master] Remove unwanted parse step

https://gerrit.wikimedia.org/r/602053

@Jarekt a patch that we think will fix this was merged a while ago - could you take a look and see if it's fixed?